@extends('layouts.app')

@section('title', __('raidablebases::messages.title'))

@section('content')
<div style="display: flex; flex-direction: column; align-items: center;  margin: 20px 0;">
    <h1>{{ __('raidablebases::messages.title') }}</h1>
</div>
<div style="display: flex; justify-content: center;  margin: 20px 0;">
<div class="card text-center" >
    <div class="card-header">
        <h5 class="card-title card-text-shadow">{{ __('raidablebases::messages.firstPlace') }}</h5>
    </div>
    <div class="card-body first-card">
                @if($firstPlace->Points)
            <div>
                <a href="https://steamcommunity.com/profiles/{{ $firstPlace->steamID }}" target="_blank">
                   <h4 class="mb-0 card-text-shadow">{{ $firstPlace->username }}</h4>
                </a>
                <h5 class="mb-0 card-text-shadow"> {{ __('raidablebases::messages.with') }}</h5>
                <h4 class="mb-0 card-text-shadow"><span>{{ $firstPlace->Points }} {{ __('raidablebases::messages.points') }}</span><h4>
            </div>
        @else
       <h6 class="mb-0 card-text-shadow">{{ __('raidablebases::messages.nobody') }}</h5>
        <span><br></span>
        @endif
    </div>
</div>
<div class="card text-center" >
    <div class="card-header">
    <h5 class="card-title card-text-shadow">{{ __('raidablebases::messages.secondPlace') }}</h5>
    </div>
    <div class="card-body second-card">
        @if($secondPlace->Points)
            <div>
                <a href="https://steamcommunity.com/profiles/{{ $secondPlace->steamID }}" target="_blank">
                   <h4 class="mb-0 card-text-shadow">{{ $secondPlace->username }}</h4>
                </a>
                <h5 class="mb-0 card-text-shadow">{{ __('raidablebases::messages.with') }}</h5>
                <h4 class="mb-0 card-text-shadow"><span>{{ $secondPlace->Points }} {{ __('raidablebases::messages.points') }}</span><h4>
            </div>
        @else
       <h5 class="mb-0 card-text-shadow">{{ __('raidablebases::messages.nobody') }}</h5>
        <span><br></span>
                @endif
    </div>
</div>
<div class="card text-center" >
    <div class="card-header">
    <h5 class="card-title card-text-shadow">{{ __('raidablebases::messages.thirdPlace') }}</h5>    </div>
    <div class="card-body third-card">
        @if($thirdPlace->Points)
            <div>
                <a href="https://steamcommunity.com/profiles/{{ $thirdPlace->steamID }}" target="_blank">
                   <h4 class="mb-0 card-text-shadow">{{ $thirdPlace->username }}</h4>
                </a>
                <h5 class="mb-0 card-text-shadow">{{ __('raidablebases::messages.with') }}</h5>
                <h4 class="mb-0 card-text-shadow"><span>{{ $thirdPlace->Points }} {{ __('raidablebases::messages.points') }}</span><h4>
            </div>
        @else
       <h6 class="mb-0 card-text-shadow">{{ __('raidablebases::messages.nobody') }}</h5>
        <span><br></span>
                @endif
    </div>
    </div></div>




<table id="raidTable" class="table table-dark table-striped table-bordered" style="width:100%">
    <thead>
        <tr>   
        <th>{{ __('raidablebases::messages.username') }}</th>
<th>{{ __('raidablebases::messages.points') }}</th>
<th>{{ __('raidablebases::messages.easy') }}</th>
<th>{{ __('raidablebases::messages.medium') }}</th>
<th>{{ __('raidablebases::messages.hard') }}</th>
<th>{{ __('raidablebases::messages.expert') }}</th>
<th>{{ __('raidablebases::messages.nightmare') }}</th>
<th>{{ __('raidablebases::messages.raids') }}</th>

        </tr>
    </thead>
    <tbody>
        @foreach($raids as $raid)
            <tr>
                
                <td>{{ $raid->username }}</td>
                <td>{{ $raid->Points }}</td>
                <td>{{ $raid->Easy }}</td>
                <td>{{ $raid->Medium }}</td>
                <td>{{ $raid->Hard }}</td>
                <td>{{ $raid->Expert }}</td>
                <td>{{ $raid->Nightmare }}</td>
                <td>{{ $raid->Raids }}</td>
            </tr>
        @endforeach
    </tbody>
</table>

@endsection
@push('styles')
<link href="https://cdn.datatables.net/v/bs5/dt-1.13.6/datatables.min.css" rel="stylesheet">

<style>
    
  .first-card {
    background-image: url('{{ plugin_asset('raidablebases', 'img/p1.png') }}');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
    width:300px;
    height:300px;
}

.second-card {
    background-image: url('{{ plugin_asset('raidablebases', 'img/p2.png') }}');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
    width:300px;
    height:300px;
}

.third-card {
    background-image: url('{{ plugin_asset('raidablebases', 'img/p3.png') }}');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
    width:300px;
    height:300px;
}
.card-text-shadow {
    text-shadow: 2px 2px 3px #fff, -2px -2px 3px #fff, 2px -2px 3px #fff, -2px 2px 3px #fff;
    color: #000; 
}
.card-body {
    display: flex;
    align-items: center;  
    justify-content: center; 
}

   
</style>

@endpush

@push('scripts')

<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://cdn.datatables.net/v/bs5/dt-1.13.6/datatables.min.js"></script>

<script>
$(document).ready(function() {
    var table = $('#raidTable').DataTable({
        "searching": true, 
        "paging": true,
        "pageLength": 10,
        "lengthMenu": [10, 20, 30, 40, 200],
        "order": [[ 1, "desc" ]],  
        "columnDefs": [{
            "targets": [ 1 ],
            "orderable": false
        }],
        "language": {
                info: '{{ __("raidablebases::messages.datatables.sInfo") }}',
                search: '{{ __("raidablebases::messages.datatables.sSearch") }}',
                paginate: {
                    previous: '{{ __("raidablebases::messages.datatables.oPaginate.sPrevious") }}',
                    next: '{{ __("raidablebases::messages.datatables.oPaginate.sNext") }}',
                },
                lengthMenu: '{{ __("raidablebases::messages.datatables.sLengthMenu") }}',
            }
       
       
    });
});

</script>

@endpush





    
    
    
    
    
    
