<?php

namespace Azuriom\Plugin\Raidablebases\Controllers;

use Azuriom\Http\Controllers\Controller;
use Azuriom\Plugin\Raidablebases\Models\Raid;
use Azuriom\Games\Steam\SteamGame;
use Azuriom\Models\User;

class RaidablebasesController extends Controller
{
    public function index() {
        $steamGame = SteamGame::forName('steam', 'Steam');
        $defaultAvatarUrl = plugin_asset('raidablebases', 'img/default-avatar.png');

        $raids = Raid::all()->map(function($raid){
            $raid->steamID = $raid->Players; 
            return $raid;
        });

        $rankings = $raids->sortByDesc('Points')->values();

        $firstPlace = $this->getPlace($rankings, 0, $steamGame);
        $secondPlace = $this->getPlace($rankings, 1, $steamGame);
        $thirdPlace = $this->getPlace($rankings, 2, $steamGame);

        return view('raidablebases::index', ['raids' => $raids, 'firstPlace' => $firstPlace, 'secondPlace' => $secondPlace, 'thirdPlace' => $thirdPlace]);
    }

    private function getPlace($rankings, $place, $steamGame) {
        $placeUser = new User;
    
        if (!isset($rankings[$place])) {
            $placeUser->game_id = null;
            $placeUser->Players = 'Nobody';
            $placeUser->avatar = ''; 
            $placeUser->Points = null;
            return $placeUser;
        }
    
        $placeUser->game_id = $rankings[$place]->Players; 
        $steamUserProfile = $steamGame->getUserProfile($placeUser);
    
        if ($steamUserProfile) {
            $rankings[$place]->Players = $steamUserProfile['personaname']; 
            $rankings[$place]->avatar = $steamUserProfile['avatar'].'?'.time(); 
        }
        
        return $rankings[$place];
    }
    
    
}
