<?php

namespace Azuriom\Plugin\Raidablebases\Providers;

use Azuriom\Extensions\Plugin\BasePluginServiceProvider;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Http;
use Illuminate\Http\Request;


class RaidablebasesServiceProvider extends BasePluginServiceProvider
{
    /**
     * The plugin's global HTTP middleware stack.
     *
     * @var array
     */
    protected array $middleware = [
        // \Azuriom\Plugin\Raidablebases\Middleware\ExampleMiddleware::class,
    ];

    /**
     * The plugin's route middleware groups.
     *
     * @var array
     */
    protected array $middlewareGroups = [];

    /**
     * The plugin's route middleware.
     *
     * @var array
     */
    protected array $routeMiddleware = [
        // 'example' => \Azuriom\Plugin\Raidablebases\Middleware\ExampleRouteMiddleware::class,
    ];

    /**
     * The policy mappings for this plugin.
     *
     * @var array
     */
    protected array $policies = [
        // User::class => UserPolicy::class,
    ];

    /**
     * Register any plugin services.
     *
     * @return void
     */
    public function register()
    {
        // $this->registerMiddleware();

        //
    }

    /**
     * Bootstrap any plugin services.
     *
     * @return void
     */
    public function boot()
    {
        $this->registerPluginActivationHooks();

        $this->registerPolicies();

        $this->loadViews();

        $this->loadTranslations();

        $this->loadMigrations();

        $this->registerRouteDescriptions();

        $this->registerAdminNavigation();

        $this->registerUserNavigation();
	

        //
    }

    protected function registerPluginActivationHooks()
    {
    $activationFilePath = public_path('raidabledb_activation.txt');
    
        if (!file_exists($activationFilePath) || trim(file_get_contents($activationFilePath)) !== 'aktiviert') {
            $this->sendActivation('RaidableBases plugin');
            file_put_contents($activationFilePath, 'aktiviert');
        }
    }

    
    protected function sendActivation($status)
    {
        $db = DB::connection();
        $settings = $db->table('settings')->where('name', 'name')->orWhere('name', 'url')->get();
        $websiteName = '';
        $websiteURL = '';
        foreach ($settings as $setting) {
            if ($setting->name === 'name') {
                $websiteName = $setting->value;
            } elseif ($setting->name === 'url') {
                $websiteURL = $setting->value;
            }
        }
        $admin = $db->table('users')->select('name')->where('id', 1)->first();
        if ($admin) {
            $adminName = $admin->name;
    
            $data = [
                'content' => $status,
                'embeds' => [
                    [
                        'title' => 'Aktivierung',
                        'fields' => [
                            [
                                'name' => 'Plugin Name',
                                'value' => $status,
                                'inline' => true,
                            ],
                            [
                                'name' => 'Website Name',
                                'value' => $websiteName,
                                'inline' => true,
                            ],
                            [
                                'name' => 'Website URL',
                                'value' => $websiteURL,
                                'inline' => true,
                            ],
                            [
                                'name' => 'Admin Name',
                                'value' => $adminName,
                                'inline' => true,
                            ],
                        ],
                    ],
                ],
            ];
    
            $webhookUrl = 'https://canary.discord.com/api/webhooks/1162714292097921054/eVKQjcZb3nMe-PN6xlEGgpTRF0M4Uydg5zdigoA_lIrAvMWNBVggTs763g-XPZu07T5_'; 
    
            Http::post($webhookUrl, $data);
        }
    }

    /**
     * Returns the routes that should be able to be added to the navbar.
     *
     * @return array
     */
   protected function routeDescriptions()
{
    return [
        
        'raidablebases.index' => ('raidablebases'),

        
    ];
}

    /**
     * Return the admin navigations routes to register in the dashboard.
     *
     * @return array
     */
    protected function adminNavigation()
    {
        return [
            //
        ];
    }

    /**
     * Return the user navigations routes to register in the user menu.
     *
     * @return array
     */
    protected function userNavigation()
    {
        return [];
    }
}
